Bug 187702 - Names incorrect for includes and apr-config
Names incorrect for includes and apr-config
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: apr (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-02 20:06 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 03:23:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-04-02 20:06:08 EDT
Description of problem:
I'm trying to compile mod_mono for inclusion into FE. The configuration file
looks for /usr/bin/apr-config and /usr/include/apr, however, the current
versions in FC5 and rawhide have changed the names to apr-1-config and
/usr/include/apr-1 which causes the configuration script a multitude of headaches.

Version-Release number of selected component (if applicable):
apr-1.2.2-7.2

How reproducible:
Always

Steps to Reproduce:
1. Download mod_mono from http://go-mono.com/packages
2. Run the configure script
3.
  
Actual results:
The script bombs due to apr-config and /usr/include/apr not being named as expected

Expected results:
The configure script should run

Additional info:
If I do ln -s /usr/bin/apr-1-config /usr/bin/apr-config and
/usr/include/apr-1 /usr/include/apr

the configure script works.
Comment 1 Joe Orton 2006-04-03 03:23:33 EDT
That's the difference between APR 1.x and APR 0.9.x - mod_mono needs to be
ported to the former.
Comment 2 Paul F. Johnson 2006-04-03 03:49:34 EDT
Should make for an interesting hour's work...

Out of interest, when apr-2 comes out, will apr-config et al change to apr-2?
I'm still at a loss for the requirement for the name change given the likes of
wx-config and gtk-config both don't use the version number.
Comment 3 Joe Orton 2006-04-03 09:14:48 EDT
It's to allow parallel installation of the apr-0.9 and apr-1.x packages. 
glib/gtk et al deprecated the use of the -config files in the newer major
version, which avoids the problem. (and the equivalent pkg-config files are
versioned)
Comment 4 Joe Orton 2006-04-03 09:15:55 EDT
Oh, and yes, the number will change to 2 with apr-2.  But you don't know whether
the current mod_mono sources will work with APR 2.x so I don't think it would be
correct to proactively search for that.

Note You need to log in before you can comment on or make changes to this bug.